/*
 * FoodItem.java
 *
 * Created on October 29, 2006, 4:51 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package foodplanet.data.model;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author vladimir
 */
public class FoodItem implements DataModel, Serializable{
    private long id;
    private long categoryId;
    private String name;
    private String desc;
    private String imgFile;
    private float price;
    private int qtyStocked;
    private Date dateCreated;
    
    public FoodItem() {
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(long id) {
        this.categoryId = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return desc;
    }

    public void setDescription(String desc) {
        this.desc = desc;
    }

    public String getImgFile() {
        return imgFile;
    }

    public void setImgFile(String imgFile) {
        this.imgFile = imgFile;
    }

    public float getPrice() {
        return price;
    }

    public void setPrice(float price) {
        this.price = price;
    }
    
    public Date getDateCreated(){
        return this.dateCreated;
    }
    
    public void setDateCreated(Date date) {
        this.dateCreated = date;
    }
    
    public int getQuantityStocked() {
        return this.qtyStocked;
    }
    
    public void setQuantityStocked(int qty) {
        this.qtyStocked = qty;
    }
}
